import java.io.File;
import java.io.PrintStream;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Unmarshaller;
import javax.xml.XMLConstants;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;
import iso.std.iso._20022.tech.xsd.head_001_001.*;

public class Bah001r {
    public static void main(String[] args) {

        PrintStream out = null;
        try {
            out = new PrintStream(System.out, true, "UTF-8");
            // out = System.out;
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }

        File file = new File("head.001.001.01.xml");
        AppHdr hdr = new AppHdr();
        try {
            SchemaFactory sFactory = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI); 
            Schema schema = sFactory.newSchema(new File("head.001.001.01.xsd"));

            JAXBContext context = JAXBContext.newInstance(AppHdr.class);
            Unmarshaller unmarshaller = context.createUnmarshaller();
            unmarshaller.setSchema(schema);
            hdr = (AppHdr) unmarshaller.unmarshal(file);
        } catch (Exception e) {
            e.printStackTrace();
        }

        // ビジネスメッセージID
        out.println("/AppHdr/");
        try {
            out.println("BizMsgIdr[" + hdr.getBizMsgIdr() + "]");
        } catch(NullPointerException e) {
            out.println("[No BizMsgIdr]");
        }

        // メッセージID
        out.println("/AppHdr/");
        try {
            out.println("MsgDefIdr[" + hdr.getMsgDefIdr() + "]");
        } catch(NullPointerException e) {
            out.println("[No MsgDefIdr]");
        }

        // 処理結果コード
        out.println("/AppHdr/");
        try {
            out.println("BizSvc[" + hdr.getBizSvc() + "]");
        } catch(NullPointerException e) {
            out.println("[No BizSvc]");
        }

        // 通信年月日時分秒
        out.println("/AppHdr/");
        try {
            out.println("CreDt[" + hdr.getCreDt() + "]");
        } catch(NullPointerException e) {
            out.println("[No CreDt]");
        }

        // 当方識別子（依頼）
        out.println("/AppHdr/Rltd/Fr/OrgId/Id/OrgId/Othr/");
        try {
            out.println("Id[" + hdr.getRltd().getFr().getOrgId().getId().getOrgId().getOthr().get(0).getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Othr]");
        }

        // 相手方識別子（依頼）
        out.println("/AppHdr/Rltd/To/FIId/FinInstnId/Othr/");
        try {
            out.println("Id[" + hdr.getRltd().getTo().getFIId().getFinInstnId().getOthr().getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        }

        // 相手方接続情報
        out.println("/AppHdr/Rltd/To/FIId/FinInstnId/Othr/");
        try {
            out.println("Issr[" + hdr.getRltd().getTo().getFIId().getFinInstnId().getOthr().getIssr() + "]");
        } catch(NullPointerException e) {
            out.println("[No Issr]");
        }

        // ファイル名補助情報（オプション）（依頼）
        out.println("/AppHdr/Rltd/");
        try {
            out.println("BizMsgIdr[" + hdr.getBizMsgIdr() + "]");
        } catch(NullPointerException e) {
            out.println("[No BizMsgIdr]");
        }

        // メッセージID（依頼）
        out.println("/AppHdr/Rltd/");
        try {
            out.println("MsgDefIdr[" + hdr.getRltd().getMsgDefIdr() + "]");
        } catch(NullPointerException e) {
            out.println("[No MsgDefIdr]");
        }

        // 制御情報（依頼）
        out.println("/AppHdr/Rltd/");
        try {
            out.println("BizSvc[" + hdr.getRltd().getBizSvc() + "]");
        } catch(NullPointerException e) {
            out.println("[No BizSvc]");
        }

        // 通信年月日時分秒（依頼）
        out.println("/AppHdr/Rltd/");
        try {
            out.println("CreDt[" + hdr.getRltd().getCreDt() + "]");
        } catch(NullPointerException e) {
            out.println("[No CreDt]");
        }

    }
}