import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;

import iso.std.iso._20022.tech.xsd.head_001_001.*;

import java.io.File;
import java.io.StringWriter;

import java.io.StringReader;

import javax.xml.XMLConstants;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;
import javax.xml.validation.Validator;

import javax.xml.transform.stream.StreamSource;

import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.datatype.DatatypeFactory;


public class Bah001w {
    public static void main(String[] args) {

        // ビジネスアプリケーションヘッダールート
        AppHdr hdr = new AppHdr();
        Party9Choice fr = new Party9Choice();
        hdr.setFr(fr);

        // 当方情報
        PartyIdentification42 frOrgId = new PartyIdentification42();
        fr.setOrgId(frOrgId);
        Party10Choice frId = new Party10Choice();
        frOrgId.setId(frId);
        OrganisationIdentification7 frOId = new OrganisationIdentification7();
        frId.setOrgId(frOId);
        GenericOrganisationIdentification1 frGOI1 = new GenericOrganisationIdentification1();
        frOId.getOthr().add(frGOI1);

        // 当方識別子
        frGOI1.setId(new CCPSW().putCC("03000000019999").putPSW("abcd").Unparse());
        // CCPSW ccpsw = new CCPSW();
        // ccpsw.setCC("03000000019999");
        // ccpsw.setPSW("abcd");
        // frGOI.setId(ccpsw.Unparse());

        // 通信制御概要情報
        OrganisationIdentificationSchemeName1Choice oisn1 = new OrganisationIdentificationSchemeName1Choice();
        frGOI1.setSchmeNm(oisn1);

        // 通信制御情報
        oisn1.setPrtry("Commuinication ValidationCode");

        // ファイル制御詳細情報
        GenericOrganisationIdentification1 frGOI2 = new GenericOrganisationIdentification1();
        frOId.getOthr().add(frGOI2);

        // ファイルアクセスキー
        frGOI2.setId("XXXXXXXXXXXX");

        // ファイル制御概要情報
        OrganisationIdentificationSchemeName1Choice oisn2 = new OrganisationIdentificationSchemeName1Choice();
        frGOI2.setSchmeNm(oisn2);

        // ファイル制御情報
        oisn2.setPrtry("FileControl ValidationCode");

        // 相手方情報
        Party9Choice to = new Party9Choice();
        hdr.setTo(to);
        BranchAndFinancialInstitutionIdentification5 toFIId = new BranchAndFinancialInstitutionIdentification5();
        to.setFIId(toFIId);
        FinancialInstitutionIdentification8 toFId = new FinancialInstitutionIdentification8();
        toFIId.setFinInstnId(toFId);
        GenericFinancialIdentification1 toGFI = new GenericFinancialIdentification1();
        toFId.setOthr(toGFI);;

        // 相手方識別子
        toGFI.setId(new CCPSW().putCC("06000000019999").putPSW("wxyz").Unparse());

        // 相手方接続情報
        toGFI.setIssr(new Issr().putIP("192.0.2.1").putTel("0300000000").Unparse());

        // ファイル名補助情報（オプション）
        hdr.setBizMsgIdr("xxxx012345678901234567890123456789");

        // メッセージID
        hdr.setMsgDefIdr("pain.001.001.03");
        // hdr.setMsgDefIdr("camt.052.001.02");
        // hdr.setMsgDefIdr("camt.054.001.02");

        // 制御情報
        hdr.setBizSvc(new BizSvc().putMode("TST").putFileName("5020xxxxyyzw")
            .putCharCode("0").putConnect("").putResend("").Unparse());

        // 通信年月日時分秒
        try {
            XMLGregorianCalendar xmlGregCal = DatatypeFactory.newInstance().newXMLGregorianCalendar(2018, 3, 20, 15, 14, 13, 0, 0);

            hdr.setCreDt(xmlGregCal);
        } catch (Exception e) {
            e.printStackTrace();
        }

        StringWriter stringWriter = new StringWriter();
        try {
            SchemaFactory sFactory = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI); 
            Schema schema = sFactory.newSchema(new File("head.001.001.01.xsd")); 
            JAXBContext context = JAXBContext.newInstance(AppHdr.class);
            Marshaller marshaller = context.createMarshaller();
            marshaller.setSchema(schema);
            marshaller.setEventHandler(new MyValidationEventHandler());

            marshaller.marshal(hdr, stringWriter);

            //marshaller.setProperty(Marshaller.JAXB_FRAGMENT, true);
            marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);

            //System.out.print("<?xml version=\"1.0\"?>");
            marshaller.marshal(hdr, System.out);

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}