import java.io.File;
import java.io.StringReader;
import java.io.PrintStream;

import java.util.List;
import java.util.Base64;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

import iso.std.iso._20022.tech.xsd.camt_052_001.*;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Unmarshaller;
import javax.xml.XMLConstants;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;

public class Camt052r {
    public static void main(String[] args) {

        PrintStream out = null;
        try {
            out = new PrintStream(System.out, true, "UTF-8");
            // out = System.out;
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }

        Document doc = new Document();

        File file = new File("camt.052.001.02.xml");
        try {
            SchemaFactory sFactory1 = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI); 
            Schema schema1 = sFactory1.newSchema(new File("camt.052.001.02.xsd"));

            JAXBContext context1 = JAXBContext.newInstance(Document.class);
            Unmarshaller unmarshaller1 = context1.createUnmarshaller();
            unmarshaller1.setSchema(schema1);
            doc = (Document) unmarshaller1.unmarshal(file);
            
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }

        // グループメッセージID
        out.println("/Document/BkToCstmrAcctRpt/GrpHdr/");
        try {
            out.println("MsgId[" + doc.getBkToCstmrAcctRpt().getGrpHdr().getMsgId() + "]");
        } catch(NullPointerException e) {
            out.println("[No MsgId]");
        }

        // XMLファイル作成日時
        out.println("/Document/BkToCstmrAcctRpt/GrpHdr/");
        try {
            out.println("CreDtTm[" + doc.getBkToCstmrAcctRpt().getGrpHdr().getCreDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No CreDtTm]");
        }

        // 入出金取引明細情報ID
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/");
        try {
            out.println("ID[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No ID]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 入出金取引明細情報作成日
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/");
        try {
            out.println("CreDtTm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getCreDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No CreDtTm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 勘定日（自）
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/FrToDt");
        try {
            out.println("FrDtTm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getFrToDt().getFrDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No FrDtTm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 勘定日（至）
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/FrToDt");
        try {
            out.println("ToDtTm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getFrToDt().getToDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No ToDtTm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 口座番号
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Id/Othr/");
        try {
            out.println("Id[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getAcct().getId().getOthr().getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 預金種目および通帳・証書区分
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Tp/");
        try {
            out.println("Prtry[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getAcct().getTp().getPrtry() + "]");
        } catch(NullPointerException e) {
            out.println("[No Prtry]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 口座名
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/");
        try {
            out.println("Nm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getAcct().getNm() + "]");
        } catch(NullPointerException e) {
            out.println("[No Nm]");
        }

        // 受取人法人番号（法人マイナンバー）
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Ownr/Id/OrgId/Othr[0]/");
        try {
            out.println("Id[" + doc.getBkToCstmrAcctRpt().getRpt().get(0)
                .getAcct().getOwnr().getId().getOrgId().getOthr().get(0).getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Othr]");
        }

        // 受取人法人番号（法人マイナンバー）概要コード
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Ownr/Id/OrgId/Othr[0]/SchmeNm/");
        try {
            out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0)
                .getAcct().getOwnr().getId().getOrgId().getOthr().get(0).getSchmeNm().getCd() + "]");
        } catch(NullPointerException e) {
            out.println("[No Cd]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Othr]");
        }

        // 銀行コード
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Svcr/FinInstnId/ClrSysMmbId/");
        try {
            out.println("MmbId[" + doc.getBkToCstmrAcctRpt().getRpt().get(0)
                .getAcct().getSvcr().getFinInstnId().getClrSysMmbId().getMmbId() + "]");
        } catch(NullPointerException e) {
            out.println("[No MmbId]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 銀行名
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Svcr/FinInstnId/");
        try {
            out.println("Nm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0)
                .getAcct().getSvcr().getFinInstnId().getNm() + "]");
        } catch(NullPointerException e) {
            out.println("[No Nm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 支店コード
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Svcr/BrnchId/");
        try {
            out.println("Id[" + doc.getBkToCstmrAcctRpt().getRpt().get(0)
                .getAcct().getSvcr().getBrnchId().getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 支店名
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Acct/Svcr/BrnchId/");
        try {
            out.println("Nm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0)
                .getAcct().getSvcr().getBrnchId().getNm() + "]");
        } catch(NullPointerException e) {
            out.println("[No Nm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 取引前残高種別コード
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[0]/Tp/CdOrPrtry/");
        try {
            out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0)
                .getBal().get(0).getTp().getCdOrPrtry().getCd() + "]");
        } catch(NullPointerException e) {
            out.println("[No Cd]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 取引前残高
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[0]/");
        try {
            out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(0).getAmt().getValue() + "]");
            out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(0).getAmt().getCcy() + "]");
        } catch(NullPointerException e) {
            out.println("[No Amt]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Bal]");
        }

        // 取引前残高貸越区分
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[0]/");
        try {
            out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(0).getCdtDbtInd() + "]");
        } catch(NullPointerException e) {
            out.println("[No CdtDbtInd]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Bal]");
        }

        // 取引前残高勘定日（自）
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[0]/Dt/");
        try {
            out.println("Dt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(0).getDt().getDt() + "]");
        } catch(NullPointerException e) {
            out.println("[No Dt]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Bal]");
        }

        // 取引後残高種別コード
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[1]/Tp/CdOrPrtry/");
        try {
            out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(1).getTp().getCdOrPrtry().getCd() + "]");
        } catch(NullPointerException e) {
            out.println("[No Cd]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Bal]");
        }

        // 取引後残高
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[1]/");
        try {
            out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(1).getAmt().getValue() + "]");
            out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(1).getAmt().getCcy() + "]");
        } catch(NullPointerException e) {
            out.println("[No Amt]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Bal]");
        }

        // 取引後残高貸越区分
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[1]/");
        try {
            out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(1).getCdtDbtInd() + "]");
        } catch(NullPointerException e) {
            out.println("[No CdtDbtInd]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Bal]");
        }

        // 取引後残高勘定日（至）
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Bal[1]/Dt/");
        try {
            out.println("Dt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getBal().get(1).getDt().getDt() + "]");
        } catch(NullPointerException e) {
            out.println("[No Dt]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt/Bal]");
        }

        // データレコード件数
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/TxsSummry/TtlNtries/");
        try {
            out.println("NbOfNtrie[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getTxsSummry().getTtlNtries().getNbOfNtries() + "]");
        } catch(NullPointerException e) {
            out.println("[No NbOfNtrie]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 入金件数
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/TxsSummry/TtlCdtNtries/");
        try {
            out.println("NbOfNtrie[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getTxsSummry().getTtlCdtNtries().getNbOfNtries() + "]");
        } catch(NullPointerException e) {
            out.println("[No NbOfNtrie]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 入金額合計
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/TxsSummry/TtlCdtNtries/");
        try {
            out.println("Sum[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getTxsSummry().getTtlCdtNtries().getSum() + "]");
        } catch(NullPointerException e) {
            out.println("[No Sum]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 出金件数
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/TxsSummry/TtlDbtNtries/");
        try {
            out.println("NbOfNtrie[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getTxsSummry().getTtlDbtNtries().getNbOfNtries() + "]");
        } catch(NullPointerException e) {
            out.println("[No NbOfNtrie]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        // 出金額合計
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/TxsSummry/TtlDbtNtries/");
        try {
            out.println("Sum[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getTxsSummry().getTtlDbtNtries().getSum() + "]");
        } catch(NullPointerException e) {
            out.println("[No Sum]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

        if(doc.getBkToCstmrAcctRpt().getRpt().size() <= 0) {
            out.println("-- No Rpt --");
            return;
        }

        for(int i = 0; i < doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().size(); i++) {

            out.println("\n--" + i + "--\n");

            // 取引金額
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i).getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i).getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

            // 入払区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/");
            try {
                out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i).getCdtDbtInd() + "]");
            } catch(NullPointerException e) {
                out.println("[No CdtDbtInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

            // 取引訂正通知区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/");
            try {
                out.println("RvsInd[" + (doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .isRvslInd() ? "true" : "false") + "]");
            } catch(NullPointerException e) {
                out.println("[No RvsInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

            // 取引ステータス - "BOOK"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/");
            try {
                out.println("Sts[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i).getSts() + "]");
            } catch(NullPointerException e) {
                out.println("[No Sts]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

            // 勘定日
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/BookgDt/");
            try {
                out.println("Dt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i).getBookgDt().getDt() + "]");
            } catch(NullPointerException e) {
                out.println("[No Dt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

            // 預入・払出日
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/ValDt/");
            try {
                out.println("Dt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i).getValDt().getDt() + "]");
            } catch(NullPointerException e) {
                out.println("[No Dt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

            // 取引区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/BkTxCd/Prtry/");
            try {
                out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getBkTxCd().getPrtry().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

            // 定期性口座課税情報合計
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Chrgs[0]/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getChrgs().get(0).getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getChrgs().get(0).getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Chrgs]");
            }

            // 税区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Chrgs[0]/Tax/");
            try {
                out.println("Id[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getChrgs().get(0).getTax().getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Chrgs]");
            }

            // 税率
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Chrgs[0]/Tax/");
            try {
                out.println("Rate[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getChrgs().get(0).getTax().getRate() + "]");
            } catch(NullPointerException e) {
                out.println("[No Rate]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Chrgs]");
            }

            // 税額
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Chrgs[0]/Tax/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getChrgs().get(0).getTax().getAmt().getValue() + "]");
            out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                .getChrgs().get(0).getTax().getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Chrgs]");
            }

            // 合計利息
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Intrt[0]/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getIntrst().get(0).getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getIntrst().get(0).getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Intrt]");
            }

            // 合計利息貸越区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Intrt[0]/");
            try {
                out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getIntrst().get(0).getCdtDbtInd() + "]");
            } catch(NullPointerException e) {
                out.println("[No CdtDbtInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Intrt]");
            }

            // 利率
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Intrt[0]/Rate[0]/Tp/");
            try {
                out.println("Pctg[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getIntrst().get(0).getRate().get(0).getTp().getPctg() + "]");
            } catch(NullPointerException e) {
                out.println("[No Pctg]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Intrt/Rate]");
            }

            // 当初預入日
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Intrt[0]/FrToDt/");
            try {
                out.println("FrDtTm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getIntrst().get(0).getFrToDt().getFrDtTm() + "]");
            } catch(NullPointerException e) {
                out.println("[No FrDtTm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Intrt]");
            }

            // 満期日
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Intrt[0]/FrToDt/");
            try {
                out.println("ToDtTm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getIntrst().get(0).getFrToDt().getToDtTm() + "]");
            } catch(NullPointerException e) {
                out.println("[No ToDtTm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Intrt]");
            }

            // 当初預入日または満期日
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/Intrt[0]/");
            try {
                out.println("Rsn[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getIntrst().get(0).getRsn() + "]");
            } catch(NullPointerException e) {
                out.println("[No Rsn]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/Intrt]");
            }

            // 取引明細識別番号（振込依頼人発行）
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Refs/");
            try {
                out.println("EndToEndId[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRefs().getEndToEndId() + "]");
            } catch(NullPointerException e) {
                out.println("[No EndToEndId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 照会識別情報種別 - "Refenece/Identification Number"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Refs/Prtry/");
            try {
                out.println("Tp[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRefs().getPrtry().getTp() + "]");
            } catch(NullPointerException e) {
                out.println("[No Tp]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 照会番号または識別番号
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Refs/Prtry/");
            try {
                out.println("Ref[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRefs().getPrtry().getRef() + "]");
            } catch(NullPointerException e) {
                out.println("[No Ref]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 取引明細種別ドメインコード - "PMNT"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/BkTxCd/Domn/");
            try {
                out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getBkTxCd().getDomn().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 取引明細種別系列コード - "RCDT"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 取引明細種別サブ系列コード - "DMCT"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("SubFmlyCd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getSubFmlyCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No SubFmlyCd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 期間利息
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[0]/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(0).getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(0).getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 期間利息貸越区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[0]/");
            try {
                out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(0).getCdtDbtInd() + "]");
            } catch(NullPointerException e) {
                out.println("[No CdtDbtInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/NtryDtls/Ntry/TxDtls/Intrst]");
            }

            // 中間払区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[0]/Tp/");
            try {
                out.println("Prtry[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(0).getTp().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 中間払利率
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[0]/Rate[0]/Tp/");
            try {
                out.println("Pctg[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(0).getRate().get(0).getTp().getPctg() + "]");
            } catch(NullPointerException e) {
                out.println("[No Pctg]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 期間（１）または期間（２）
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[0]/Rate[0]/Tp/");
            try {
                out.println("Rsn[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(0).getRsn() + "]");
            } catch(NullPointerException e) {
                out.println("[No Rsn]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 期後利息
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[1]/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(1).getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(1).getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 期後利息貸越区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[1]/");
            try {
                out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(1).getCdtDbtInd() + "]");
            } catch(NullPointerException e) {
                out.println("[No CdtDbtInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 期後払区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[1]/");
            try {
                out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(1).getTp().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No CdtDbtInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 期後払利率
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[1]/Rate[0]/Tp/");
            try {
                out.println("Pctg[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(1).getRate().get(0).getTp().getPctg() + "]");
            } catch(NullPointerException e) {
                out.println("[No Pctg]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 期後期間
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[1]/");
            try {
                out.println("Rsn[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(1).getRsn() + "]");
            } catch(NullPointerException e) {
                out.println("[No Rsn]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 税引後利息
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[2]/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(2).getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(2).getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 税引後利息貸越区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[2]/");
            try {
                out.println("CdtDbtInd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(2).getCdtDbtInd() + "]");
            } catch(NullPointerException e) {
                out.println("[No CdtDbtInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 税引後払区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Intrst[2]/Tp/");
            try {
                out.println("Prtry[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getIntrst().get(2).getTp().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Intrst]");
            }

            // 振込依頼人名または契約者番号
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/");
            try {
                out.println("Nm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 振込依頼人コード
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[0]/");
            try {
                out.println("Id[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(0).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 振込依頼人概要コード - "BANK"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[0]/SchmeNm/");
            try {
                out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(0).getSchmeNm().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 振込依頼人法人番号（法人マイナンバー）
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[1]/");
            try {
                out.println("Id[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(1).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 振込依頼人法人番号（法人マイナンバー）概要コード - "TXID"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[1]/SchmeNm/");
            try {
                out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(1).getSchmeNm().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 仕向銀行名
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdAgts/DbtrAgt/FinInstnId/");
            try {
                out.println("Nm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdAgts().getDbtrAgt().getFinInstnId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 仕向支店名
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdAgts/DbtrAgt/BrnchId/");
            try {
                out.println("Nm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdAgts().getDbtrAgt().getBrnchId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 僚店支店名
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdAgts/CdtrAgt/BrnchId/");
            try {
                out.println("Id[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdAgts().getCdtrAgt().getBrnchId().getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // EDI情報
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdRmtInf[0]/");
            try {
                out.println("RmtId[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdRmtInf().get(0).getRmtId() + "]");
            } catch(NullPointerException e) {
                out.println("[No RmtId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/RltdRmtInf]");
            }

            // 金融EDI情報
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RmtInf/");
            try {
                out.println("Ustrd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRmtInf().getUstrd().get(0) + "]");

                List<String> ustrds = null;
                ustrds = doc.getBkToCstmrAcctRpt().getRpt().get(0)
                        .getNtry().get(i).getNtryDtls().get(0).getTxDtls().get(0).getRmtInf().getUstrd();
                if(ustrds == null) {
                    out.println("No Remittance Advices");
                } else {
                    Pattern p = Pattern.compile("^[Mm][Ii][Mm][Ee]-[Vv][Ee][Rr][Ss][Ii][Oo][Nn]:[ \t]*1.0");
                    if (!p.matcher(ustrds.get(0)).find()){

                        // 平文の処理
                        out.println("No MIME-Version [" + ustrds.get(0) + "]");
                    } else {
                        p = Pattern.compile("^[Cc][oO][nN][tT][eE][nN][tT]-[Tt][yY][pP][eE][ \t]*:[ \t]*[tT][eE][xX][tT]/[xX][mM][lL]");
                        ustrds.remove(0);
                        if (!p.matcher(ustrds.get(0)).find()){
                            out.println("No Content-Type: text/xml [" + ustrds.get(0) + "]");
                    } else {
                        p = Pattern.compile("^[Cc][oO][nN][tT][eE][nN][tT]-[Tt][rR][aA][nN][sS][fF][eE][rR]-" 
                            + "[Ee][nN][cC][oO][dD][iI][nN][gG][ \t]*:[ \t]*[Bb][aA][sS][eE]64");
                        ustrds.remove(0);
                        if (!p.matcher(ustrds.get(0)).find()){
                            out.println("No Content-Transfer-Encoding: base64 [" + ustrds.get(0) + "]");
                    } else {
                        ustrds.remove(0);
                        StringBuilder sb = new StringBuilder();
                        ustrds.forEach(s -> sb.append(s));
                        String decoded = new String(Base64.getDecoder().decode(sb.toString()));

                        // XMLの処理
                        out.println(decoded);
                    }}}
                }

            } catch(NullPointerException e) {
                out.println("[No Ustrd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Ustrd]");
            }


            // 手形・小切手番号
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/Refs/");
            try {
                out.println("ChqNb[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getRefs().getChqNb() + "]");
            } catch(NullPointerException e) {
                out.println("[No ChqNb]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 手形・小切手区分
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/Refs/Prtry/");
            try {
                out.println("Tp[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getRefs().getPrtry().getTp() + "]");
            } catch(NullPointerException e) {
                out.println("[No Tp]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 手形・小切手区分詳細 - "0"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/Refs/Prtry/");
            try {
                out.println("Ref[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getRefs().getPrtry().getRef() + "]");
            } catch(NullPointerException e) {
                out.println("[No Ref]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // うち他店券金額
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/AmtDtls/");
            try {
                out.println("Amt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getAmtDtls().getTxAmt().getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getAmtDtls().getTxAmt().getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 手形・小切手情報種別ドメインコード - "PMNT"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/BkTxCd/Domn/");
            try {
                out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getBkTxCd().getDomn().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 手形・小切手情報種別系列コード - "RCHQ"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("Cd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 手形・小切手情報種別サブ系列コード - "CCHQ"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("SubFmlyCd[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getSubFmlyCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No SubFmlyCd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 交換呈示日
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/RltdDts/AccptncDtTm/");
            try {
                out.println("AccptncDtTm[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getRltdDts().getAccptncDtTm() + "]");
            } catch(NullPointerException e) {
                out.println("[No ]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 日付種別 - "Dishonored Return Date"
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/RltdDts/Prtry[0]/");
            try {
                out.println("Tp[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getRltdDts().getPrtry().get(0).getTp() + "]");
            } catch(NullPointerException e) {
                out.println("[No Tp]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 不渡返還日
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/RltdDts/Prtry[0]/Dt/");
            try {
                out.println("Dt[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getRltdDts().getPrtry().get(0).getDt().getDt() + "]");
            } catch(NullPointerException e) {
                out.println("[No Dt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls]");
            }

            // 業務内容および仕向金融機関指示情報
            out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/Ntry[" + i + "]/");
            try {
                out.println("AddtlNtryInf[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getNtry().get(i).getAddtlNtryInf() + "]");
            } catch(NullPointerException e) {
                out.println("[No AddtlNtryInf]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry]");
            }

        }

        out.println("\n--  --\n");

        // 金融機関指示情報
        out.println("/Document/BkToCstmrAcctRpt/Rpt[0]/");
        try {
            out.println("AddtlRptInf[" + doc.getBkToCstmrAcctRpt().getRpt().get(0).getAddtlRptInf() + "]");
        } catch(NullPointerException e) {
            out.println("[No AddtlRptInf]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Rpt]");
        }

    }
}