import java.io.File;
import java.io.StringReader;
import java.io.PrintStream;

import java.util.List;
import java.util.Base64;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

import iso.std.iso._20022.tech.xsd.camt_054_001.*;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Unmarshaller;
import javax.xml.XMLConstants;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;

public class Camt054r {
    public static void main(String[] args) {
        
        PrintStream out = null;
        try {
            out = new PrintStream(System.out, true, "UTF-8");
            // out = System.out;
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }

        Document doc = new Document();
        
        File file = new File("camt.054.001.02.xml");
        try {
            SchemaFactory sFactory1 = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI); 
            Schema schema1 = sFactory1.newSchema(new File("camt.054.001.02.xsd"));

            JAXBContext context1 = JAXBContext.newInstance(Document.class);
            Unmarshaller unmarshaller1 = context1.createUnmarshaller();
            unmarshaller1.setSchema(schema1);
            doc = (Document) unmarshaller1.unmarshal(file);
            
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }


        // グループメッセージID
        out.println("/Document/BkToCstmrDbtCdtNtfctn/GrpHdr/");
        try {
            out.println("MsgId[" + doc.getBkToCstmrDbtCdtNtfctn().getGrpHdr().getMsgId() + "]");
        } catch(NullPointerException e) {
            out.println("[No MsgId]");
        }

        // XMLファイル作成日時
        out.println("/Document/BkToCstmrDbtCdtNtfctn/GrpHdr/");
        try {
            out.println("CreDtTm[" + doc.getBkToCstmrDbtCdtNtfctn().getGrpHdr().getCreDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No CreDtTm]");
        }

        // 通知ID
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/");
        try {
            out.println("ID[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No ID]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 通知情報作成日時
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/");
        try {
            out.println("CreDtTm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getCreDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No CreDtTm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 勘定日（自）
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/FrToDt");
        try {
            out.println("FrDtTm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getFrToDt().getFrDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No FrDtTm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }
        
        // 勘定日（至）
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/FrToDt");
        try {
            out.println("ToDtTm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getFrToDt().getToDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No ToDtTm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 口座番号
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Id/Othr/");
        try {
            out.println("Id[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getAcct().getId().getOthr().getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 預金種目
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Tp/");
        try {
            out.println("Prtry[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getAcct().getTp().getPrtry() + "]");
        } catch(NullPointerException e) {
            out.println("[No Prtry]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 口座名
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/");
        try {
            out.println("Nm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getAcct().getNm() + "]");
        } catch(NullPointerException e) {
            out.println("[No Nm]");
        }

        // 受取人法人番号（法人マイナンバー）
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Ownr/Id/OrgId/Othr[0]/");
        try {
            out.println("Id[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0)
                .getAcct().getOwnr().getId().getOrgId().getOthr().get(0).getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn/Othr]");
        }

        // 受取人法人番号（法人マイナンバー）概要コード
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Ownr/Id/OrgId/Othr[0]/SchmeNm/");
        try {
            out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0)
                .getAcct().getOwnr().getId().getOrgId().getOthr().get(0).getSchmeNm().getCd() + "]");
        } catch(NullPointerException e) {
            out.println("[No Cd]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn/Othr]");
        }

        // 銀行コード
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Svcr/FinInstnId/ClrSysMmbId/");
        try {
            out.println("MmbId[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0)
                .getAcct().getSvcr().getFinInstnId().getClrSysMmbId().getMmbId() + "]");
        } catch(NullPointerException e) {
            out.println("[No MmbId]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 銀行名
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Svcr/FinInstnId/");
        try {
            out.println("Nm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0)
                .getAcct().getSvcr().getFinInstnId().getNm() + "]");
        } catch(NullPointerException e) {
            out.println("[No Nm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 支店コード
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Svcr/BrnchId/");
        try {
            out.println("Id[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0)
                .getAcct().getSvcr().getBrnchId().getId() + "]");
        } catch(NullPointerException e) {
            out.println("[No Id]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 支店名
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Acct/Svcr/BrnchId/");
        try {
            out.println("Nm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0)
                .getAcct().getSvcr().getBrnchId().getNm() + "]");
        } catch(NullPointerException e) {
            out.println("[No Nm]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 振込合計件数
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/TxsSummry/TtlCdtNtries/");
        try {
            out.println("NbOfNtrie[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getTxsSummry().getTtlCdtNtries().getNbOfNtries() + "]");
        } catch(NullPointerException e) {
            out.println("[No NbOfNtrie]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 振込合計金額
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/TxsSummry/TtlCdtNtries/");
        try {
            out.println("Sum[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getTxsSummry().getTtlCdtNtries().getSum() + "]");
        } catch(NullPointerException e) {
            out.println("[No Sum]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 取消合計件数
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/TxsSummry/TtlDbtNtries/");
        try {
            out.println("NbOfNtrie[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getTxsSummry().getTtlDbtNtries().getNbOfNtries() + "]");
        } catch(NullPointerException e) {
            out.println("[No NbOfNtrie]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        // 取消合計金額
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/TxsSummry/TtlDbtNtries/");
        try {
            out.println("Sum[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getTxsSummry().getTtlDbtNtries().getSum() + "]");
        } catch(NullPointerException e) {
            out.println("[No Sum]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

        for(int i = 0; i < doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().size(); i++) {

            out.println("\n--" + i + "--\n");

            // 金額
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/");
            try {
                out.println("Amt[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i).getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i).getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 取消区分
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/");
            try {
                out.println("CdtDbtInd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i).getCdtDbtInd() + "]");
            } catch(NullPointerException e) {
                out.println("[No CdtDbtInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 取消通知区分
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/");
            try {
                out.println("RvsInd[" + (doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .isRvslInd() ? "true" : "false") + "]");
            } catch(NullPointerException e) {
                out.println("[No RvsInd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 取引ステータス　- "BOOK"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/");
            try {
                out.println("Sts[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i).getSts() + "]");
            } catch(NullPointerException e) {
                out.println("[No Sts]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 勘定日
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/BookgDt/");
            try {
                out.println("Dt[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i).getBookgDt().getDt() + "]");
            } catch(NullPointerException e) {
                out.println("[No Dt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 起算日
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/ValDt/");
            try {
                out.println("Dt[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i).getValDt().getDt() + "]");
            } catch(NullPointerException e) {
                out.println("[No Dt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 取引明細種別ドメインコード - "PMNT"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/BkTxCd/Domn/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getBkTxCd().getDomn().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 取引明細種別系列コード - "RCDT"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/BkTxCd/Domn/Fmly/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getBkTxCd().getDomn().getFmly().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 取引明細種別サブ系列コード - "DMCT"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/BkTxCd/Domn/Fmly/");
            try {
                out.println("SubFmlyCd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getBkTxCd().getDomn().getFmly().getSubFmlyCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No SubFmlyCd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

            // 取引明細識別番号（振込依頼人発行）
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Refs/");
            try {
                out.println("EndToEndId[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRefs().getEndToEndId() + "]");
            } catch(NullPointerException e) {
                out.println("[No EndToEndId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 照会識別情報種別 - "Refenece Number"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Refs/Prtry/");
            try {
                out.println("Tp[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRefs().getPrtry().getTp() + "]");
            } catch(NullPointerException e) {
                out.println("[No Tp]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 照会番号
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/Refs/Prtry/");
            try {
                out.println("Ref[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRefs().getPrtry().getRef() + "]");
            } catch(NullPointerException e) {
                out.println("[No Ref]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 取引明細種別ドメインコード - "PMNT"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/BkTxCd/Domn/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getBkTxCd().getDomn().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 取引明細種別系列コード - "RCDT"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 取引明細種別サブ系列コード - "DMCT"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("SubFmlyCd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getSubFmlyCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No SubFmlyCd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 振込依頼人名
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/");
            try {
                out.println("Nm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 振込依頼人コード
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[0]/");
            try {
                out.println("Id[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(0).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 振込依頼人概要コード - "BANK"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[0]/SchmeNm/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(0).getSchmeNm().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 振込依頼人法人番号（法人マイナンバー）
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[1]/");
            try {
                out.println("Id[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(1).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 振込依頼人法人番号（法人マイナンバー）概要コード - "TXID"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdPties/Dbtr/Id/OrgId/Othr[1]/SchmeNm/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdPties().getDbtr()
                    .getId().getOrgId().getOthr().get(1).getSchmeNm().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls/Othr]");
            }

            // 仕向銀行名
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdAgts/DbtrAgt/FinInstnId/");
            try {
                out.println("Nm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdAgts().getDbtrAgt().getFinInstnId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 仕向支店名
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdAgts/DbtrAgt/BrnchId/");
            try {
                out.println("Nm[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdAgts().getDbtrAgt().getBrnchId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // EDI情報
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RltdRmtInf[0]/");
            try {
                out.println("RmtId[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRltdRmtInf().get(0).getRmtId() + "]");
            } catch(NullPointerException e) {
                out.println("[No RmtId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls/RltdRmtInf]");
            }

            // 金融EDI情報
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[0]/TxDtls[0]/RmtInf/");
            try {
                out.println("Ustrd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(0).getTxDtls().get(0).getRmtInf().getUstrd().get(0) + "]");

                List<String> ustrds = null;
                ustrds = doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0)
                        .getNtry().get(i).getNtryDtls().get(0).getTxDtls().get(0).getRmtInf().getUstrd();
                if(ustrds == null) {
                    out.println("No Remittance Advices");
                } else {
                    Pattern p = Pattern.compile("^[Mm][Ii][Mm][Ee]-[Vv][Ee][Rr][Ss][Ii][Oo][Nn]:[ \t]*1.0");
                    if (!p.matcher(ustrds.get(0)).find()){

                        // 平文の処理
                        out.println("No MIME-Version [" + ustrds.get(0) + "]");
                    } else {
                        p = Pattern.compile("^[Cc][oO][nN][tT][eE][nN][tT]-[Tt][yY][pP][eE][ \t]*:[ \t]*[tT][eE][xX][tT]/[xX][mM][lL]");
                        ustrds.remove(0);
                        if (!p.matcher(ustrds.get(0)).find()){
                            out.println("No Content-Type: text/xml [" + ustrds.get(0) + "]");
                    } else {
                        p = Pattern.compile("^[Cc][oO][nN][tT][eE][nN][tT]-[Tt][rR][aA][nN][sS][fF][eE][rR]-" 
                            + "[Ee][nN][cC][oO][dD][iI][nN][gG][ \t]*:[ \t]*[Bb][aA][sS][eE]64");
                        ustrds.remove(0);
                        if (!p.matcher(ustrds.get(0)).find()){
                            out.println("No Content-Transfer-Encoding: base64 [" + ustrds.get(0) + "]");
                    } else {
                        ustrds.remove(0);
                        StringBuilder sb = new StringBuilder();
                        ustrds.forEach(s -> sb.append(s));
                        String decoded = new String(Base64.getDecoder().decode(sb.toString()));

                        // XMLの処理
                        out.println(decoded);
                    }}}
                }

            } catch(NullPointerException e) {
                out.println("[No Ustrd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls/Ustrd]");
            }

            // うち他店券金額
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/AmtDtls/");
            try {
                out.println("Amt[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getAmtDtls().getTxAmt().getAmt().getValue() + "]");
                out.println("Ccy[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getAmtDtls().getTxAmt().getAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No Amt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // うち他店券金額情報種別ドメインコード - "PMNT"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/BkTxCd/Domn/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getBkTxCd().getDomn().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // うち他店券金額情報種別系列コード - "RCHQ"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("Cd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // うち他店券金額情報種別サブ系列コード - "CCHQ"
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/NtryDtls[1]/TxDtls[0]/BkTxCd/Domn/Fmly/");
            try {
                out.println("SubFmlyCd[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i)
                    .getNtryDtls().get(1).getTxDtls().get(0).getBkTxCd().getDomn().getFmly().getSubFmlyCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No SubFmlyCd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry/NtryDtls/TxDtls]");
            }

            // 仕向金融機関指示情報
            out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/Ntry[" + i + "]/");
            try {
                out.println("AddtlNtryInf[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getNtry().get(i).getAddtlNtryInf() + "]");
            } catch(NullPointerException e) {
                out.println("[No AddtlNtryInf]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Ntfctn/Ntry]");
            }

        }

        out.println("\n--  --\n");

        // 金融機関指示情報
        out.println("/Document/BkToCstmrDbtCdtNtfctn/Ntfctn[0]/");
        try {
            out.println("AddtlRptInf[" + doc.getBkToCstmrDbtCdtNtfctn().getNtfctn().get(0).getAddtlNtfctnInf() + "]");
        } catch(NullPointerException e) {
            out.println("[No AddtlNtfctnInf]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No Ntfctn]");
        }

    }
}