import java.io.File;
import java.io.StringReader;
import java.io.PrintStream;

import java.util.List;
import java.util.Base64;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

import iso.std.iso._20022.tech.xsd.pain_002_001.*;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Unmarshaller;
import javax.xml.XMLConstants;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;

public class Pain002r {
    public static void main(String[] args) {
        
        PrintStream out = null;
        try {
            out = new PrintStream(System.out, true, "UTF-8");
            // out = System.out;
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }

        Document doc = new Document();
        
        File file = new File("pain.002.001.03.xml");
        try {
            SchemaFactory sFactory1 = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI); 
            Schema schema1 = sFactory1.newSchema(new File("pain.002.001.03.xsd"));

            JAXBContext context1 = JAXBContext.newInstance(Document.class);
            Unmarshaller unmarshaller1 = context1.createUnmarshaller();
            unmarshaller1.setSchema(schema1);
            doc = (Document) unmarshaller1.unmarshal(file);
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }

        // グループメッセージID
        out.println("/Document/CstmrPmtStsRpt/GrpHdr/");
        try {
            out.println("MsgId[" + doc.getCstmrPmtStsRpt().getGrpHdr().getMsgId() + "]");
        } catch(NullPointerException e) {
            out.println("[No MsgId]");
        }

        // XMLファイル作成日時
        out.println("/Document/CstmrPmtStsRpt/GrpHdr/");
        try {
            out.println("CreDtTm[" + doc.getCstmrPmtStsRpt().getGrpHdr().getCreDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No CreDtTm]");
        }

        // グループメッセージID（総合振込依頼）
        out.println("/Document/CstmrPmtStsRpt/OrgnlGrpInfAndSts/");
        try {
            out.println("OrgnlMsgId[" + doc.getCstmrPmtStsRpt().getOrgnlGrpInfAndSts().getOrgnlMsgId() + "]");
        } catch(NullPointerException e) {
            out.println("[No OrgnlMsgId]");
        }

        // グループメッセージ名称ID - "pain.001"
        out.println("/Document/CstmrPmtStsRpt/OrgnlGrpInfAndSts/");
        try {
            out.println("OrgnlMsgNmId[" + doc.getCstmrPmtStsRpt().getOrgnlGrpInfAndSts().getOrgnlMsgNmId() + "]");
        } catch(NullPointerException e) {
            out.println("[No OrgnlMsgNmId]");
        }

        // XMLファイル作成日時（総合振込依頼）
        out.println("/Document/CstmrPmtStsRpt/OrgnlGrpInfAndSts/");
        try {
            out.println("OrgnlCreDtTm[" + doc.getCstmrPmtStsRpt().getOrgnlGrpInfAndSts().getOrgnlCreDtTm() + "]");
        } catch(NullPointerException e) {
            out.println("[No OrgnlCreDtTm]");
        }

        // 支払情報数（総合振込依頼）
        out.println("/Document/CstmrPmtStsRpt/OrgnlGrpInfAndSts/");
        try {
            out.println("OrgnlNbOfTxs[" + doc.getCstmrPmtStsRpt().getOrgnlGrpInfAndSts().getOrgnlNbOfTxs() + "]");
        } catch(NullPointerException e) {
            out.println("[No OrgnlNbOfTxs]");
        }

        // 全体処理結果
        out.println("/Document/CstmrPmtStsRpt/OrgnlGrpInfAndSts/StsRsnInf[0]/Rsn/");
        try {
            out.println("OrgnlNbOfTxt[" + doc.getCstmrPmtStsRpt().getOrgnlGrpInfAndSts().getStsRsnInf().get(0).getRsn().getPrtry() + "]");
        } catch(NullPointerException e) {
            out.println("[No OrgnlNbOfTxt]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No StsRsnInf]");
        }

        // 支払情報ID（総合振込依頼）
        out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/");
        try {
            out.println("OrgnlPmtInfID[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getOrgnlPmtInfId() + "]");
        } catch(NullPointerException e) {
            out.println("[No OrgnlPmtInfID]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No OrgnlPmtInfAndSts]");
        }

        // 合計件数（総合振込依頼）
        out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/");
        try {
            out.println("OrgnlNbOfTxs[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getOrgnlNbOfTxs() + "]");
        } catch(NullPointerException e) {
            out.println("[No OrgnlNbOfTxs]");
        } catch(IndexOutOfBoundsException e) {
            out.println("[No OrgnlPmtInfAndSts]");
        }

        if(doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().size() <= 0) {
            out.println("-- No OrgnlPmtInfAndSts --");
            return;
        }

        for(int i = 0; i < doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().size(); i++) {

            out.println("\n--" + i + "--\n");

            // EDIキー情報
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/");
            try {
                out.println("OrgnlInstrId[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlInstrId() + "]");
            } catch(NullPointerException e) {
                out.println("[No OrgnlInstrId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 取引明細識別番号（振込依頼人発行）（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/");
            try {
                out.println("OrgnlEndToEndId[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlEndToEndId() + "]");
            } catch(NullPointerException e) {
                out.println("[No OrgnlEndToEndId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 取引明細別処理結果
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/StsRsnInf/Rsn/");
            try {
                out.println("Prtry[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getStsRsnInf().get(0).getRsn().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/StsRsnInf]");
            }

            // 識別情報および仕向記入期間指示情報
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/StsRsnInf/");
            try {
                out.println("AddtlInf[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getStsRsnInf().get(0).getAddtlInf() + "]");
            } catch(NullPointerException e) {
                out.println("[No AddtlInf]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/StsRsnInf]");
            }

            // 取引明細情報（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Amt/");
            try {
                out.println("InstdAmt[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getAmt().getInstdAmt().getValue() + "]");
                out.println("Ccy[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getAmt().getInstdAmt().getCcy() + "]");
            } catch(NullPointerException e) {
                out.println("[No InstdAmt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 取組日（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/");
            try {
                out.println("ReqdExctnDt[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getReqdExctnDt() + "]");
            } catch(NullPointerException e) {
                out.println("[No ReqdExctnDt]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 新規コード（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/PmtTpInf/SvcLvl/");
            try {
                out.println("Prtry[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getPmtTpInf().getSvcLvl().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 振込指定区分（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/PmtTpInf/LclInstrm/");
            try {
                out.println("Prtry[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getPmtTpInf().getLclInstrm().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 識別コード（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/PmtTpInf/CtgyPurp/");
            try {
                out.println("Cd[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getPmtTpInf().getCtgyPurp().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 支払方法（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/");
            try {
                out.println("PmtMtd[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getPmtMtd() + "]");
            } catch(NullPointerException e) {
                out.println("[No PmtMtd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 金融EDI情報（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/RmtInf/");
            try {
                out.println("Ustrd[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getRmtInf().getUstrd().get(0) + "]");

                List<String> ustrds = doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getRmtInf().getUstrd();
                if(ustrds == null) {
                    out.println("No Remittance Advices");
                } else {
                    Pattern p = Pattern.compile("^[Mm][Ii][Mm][Ee]-[Vv][Ee][Rr][Ss][Ii][Oo][Nn]:[ \t]*1.0");
                    if (!p.matcher(ustrds.get(0)).find()){

                        // 平文の処理
                        out.println("No MIME-Version [" + ustrds.get(0) + "]");
                    } else {
                        p = Pattern.compile("^[Cc][oO][nN][tT][eE][nN][tT]-[Tt][yY][pP][eE][ \t]*:[ \t]*[tT][eE][xX][tT]/[xX][mM][lL]");
                        ustrds.remove(0);
                        if (!p.matcher(ustrds.get(0)).find()){
                            out.println("No Content-Type: text/xml [" + ustrds.get(0) + "]");
                    } else {
                        p = Pattern.compile("^[Cc][oO][nN][tT][eE][nN][tT]-[Tt][rR][aA][nN][sS][fF][eE][rR]-" 
                            + "[Ee][nN][cC][oO][dD][iI][nN][gG][ \t]*:[ \t]*[Bb][aA][sS][eE]64");
                        ustrds.remove(0);
                        if (!p.matcher(ustrds.get(0)).find()){
                            out.println("No Content-Transfer-Encoding: base64 [" + ustrds.get(0) + "]");
                    } else {
                        ustrds.remove(0);
                        StringBuilder sb = new StringBuilder();
                        ustrds.forEach(s -> sb.append(s));
                        String decoded = new String(Base64.getDecoder().decode(sb.toString()));

                        // XMLの処理
                        out.println(decoded);
                    }}}
                }

            } catch(NullPointerException e) {
                out.println("[No Ustrd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No Rpt/Ntry/NtryDtls/TxDtls/Ustrd]");
            }

            // 振込依頼人名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/UltmtDbtr/");
            try {
                out.println("Nm[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getUltmtDbtr().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 振込依頼人コード（取引企業コード）（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Dbtr/Id/OrgId/Othr[0]/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtr().getId().getOrgId().getOthr().get(0).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 振込依頼人概要コード（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Dbtr/Id/OrgId/Othr[0]/SchmeNm/");
            try {
                out.println("Cd[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtr().getId().getOrgId().getOthr().get(0).getSchmeNm().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 振込依頼人法人番号（法人マイナンバー）（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Dbtr/Id/OrgId/Othr[1]/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtr().getId().getOrgId().getOthr().get(1).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 振込依頼人法人番号（法人マイナンバー）概要コード（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Dbtr/Id/OrgId/Othr[1]/SchmeNm/");
            try {
                out.println("Cd[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtr().getId().getOrgId().getOthr().get(1).getSchmeNm().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 振込依頼人口座番号（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/DbtrAcct/Id/Othr/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtrAcct().getId().getOthr().getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 振込依頼人預金種目（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/DbtrAcct/Tp/");
            try {
                out.println("Prtry[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtrAcct().getTp().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 仕向決済システム識別コード（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/DbtrAgt/FinInstnId/ClrSysMmbId/ClrSysId/");
            try {
                out.println("Cd[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtrAgt().getFinInstnId().getClrSysMmbId().getClrSysId().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 仕向銀行番号（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/DbtrAgt/FinInstnId/ClrSysMmbId/");
            try {
                out.println("MmbId[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtrAgt().getFinInstnId().getClrSysMmbId().getMmbId() + "]");
            } catch(NullPointerException e) {
                out.println("[No MmbId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 仕向銀行名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/DbtrAgt/FinInstnId/");
            try {
                out.println("Nm[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtrAgt().getFinInstnId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 仕向支店番号（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/DbtrAgt/BrnchId/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtrAgt().getBrnchId().getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 仕向支店名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/DbtrAgt/BrnchId/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getDbtrAgt().getBrnchId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 被仕向銀行番号（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/CdtrAgt/FinInstnId/ClrSysMmbId/");
            try {
                out.println("MmbId[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtrAgt().getFinInstnId().getClrSysMmbId().getMmbId() + "]");
            } catch(NullPointerException e) {
                out.println("[No MmbId]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 被仕向銀行名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/CdtrAgt/FinInstnId/");
            try {
                out.println("Nm[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtrAgt().getFinInstnId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 手形交換所番号（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/CdtrAgt/FinInstnId/Othr/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtrAgt().getFinInstnId().getOthr().getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 被仕向支店番号（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/CdtrAgt/BrnchId/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtrAgt().getBrnchId().getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 被仕向支店名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]"
                + "/OrgnlTxRef/CdtrAgt/BrnchId/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtrAgt().getBrnchId().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 受取人名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Cdtr/");
            try {
                out.println("Nm[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtr().getNm() + "]");
            } catch(NullPointerException e) {
                out.println("[No Nm]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 受取人法人番号（法人マイナンバー）（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Cdtr/Id/OrgId/Othr[0]/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtr().getId().getOrgId().getOthr().get(0).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 受取人法人番号（法人マイナンバー）概要コード（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Cdtr/Id/OrgId/Othr[0]/SchmeNm/");
            try {
                out.println("Cd[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtr().getId().getOrgId().getOthr().get(0).getSchmeNm().getCd() + "]");
            } catch(NullPointerException e) {
                out.println("[No Cd]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 顧客コード1（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Cdtr/Id/OrgId/Othr[1]/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtr().getId().getOrgId().getOthr().get(1).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 顧客コード1概要名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Cdtr/Id/OrgId/Othr[1]/SchmeNm/");
            try {
                out.println("Prtry[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtr().getId().getOrgId().getOthr().get(1).getSchmeNm().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 顧客コード2（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Cdtr/Id/OrgId/Othr[2]/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtr().getId().getOrgId().getOthr().get(2).getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 顧客コード2概要名（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/Cdtr/Id/OrgId/Othr[2]/SchmeNm/");
            try {
                out.println("Prtry[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtr().getId().getOrgId().getOthr().get(2).getSchmeNm().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts/Othr]");
            }

            // 受取人口座番号（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/CdtrAcct/Id/Othr/");
            try {
                out.println("Id[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtrAcct().getId().getOthr().getId() + "]");
            } catch(NullPointerException e) {
                out.println("[No Id]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

            // 受取人預金種目（総合振込依頼）
            out.println("/Document/CstmrPmtStsRpt/OrgnlPmtInfAndSts[0]/TxInfAndSts[" + i + "]/OrgnlTxRef/CdtrAcct/Tp/");
            try {
                out.println("Prtry[" + doc.getCstmrPmtStsRpt().getOrgnlPmtInfAndSts().get(0).getTxInfAndSts().get(0)
                    .getOrgnlTxRef().getCdtrAcct().getTp().getPrtry() + "]");
            } catch(NullPointerException e) {
                out.println("[No Prtry]");
            } catch(IndexOutOfBoundsException e) {
                out.println("[No OrgnlPmtInfAndSts/TxInfAndSts]");
            }

        }
    }
}